
Redmine - Feature #3851

Handle Rails's missing cookie secret

2009-09-12 06:50 - Eric Davis

Status: Closed Start date: 2009-09-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    
Description

When Rails starts without a cookie secret (from config/initializers/session_store.rb) it throws an errors with a message.  I've seen this

message reported as a general Redmine error when it's actually a setup error.  I was wondering if Redmine itself could handle this

error and present a nicer message to the user with:

The reason for the error (Rails' message is fine here)

How to generate the session_store.rb from rake

A link to the install documentation

Hide the standard Ruby backtrace

Here are two examples of Rails' message: http://www.redmine.org/boards/3/topics/7646#message-8471 

http://www.redmine.org/boards/3/topics/7130#message-8379

Thoughts?

History

#1 - 2009-09-12 12:16 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Redmine can't handle this error, sorry.

But the instal documentation will help.

#2 - 2009-09-29 03:06 - Alain  Beauvois

A "rake config/initializers/session_store.rb" should resolve the problem, as it was for me.

#3 - 2009-10-01 00:07 - Eric Davis

Alain  Beauvois wrote:

A "rake config/initializers/session_store.rb" should resolve the problem, as it was for me.

 I know, I wasn't looking for how to fix that problem but a clearer way to tell the user how to fix it: e.g. "Please run rake

config/initializers/session_store.rb".

Powered by TCPDF (www.tcpdf.org)

2024-04-28 1/1

http://www.redmine.org/boards/3/topics/7646#message-8471
http://www.redmine.org/boards/3/topics/7130#message-8379
http://www.tcpdf.org

